#include <bits/stdc++.h>
using namespace std;
int main()
{
ios::sync_with_stdio(false);
cin.tie(0);
    int n,q,l,r;
    cin >> n;
    vector<int> a(n+1);
    for(int i=1;i<=n;++i){
        cin>>a[i];
    }
    cin >> q;
    for(int i=0;i<q;++i){
        cin >> l >> r;
        int ok = 0;
        for(int j=l;j<=r-1;++j){
        if(a[j] > a[j+1]){
            if(ok==0){
                ok++;
            }
            else{
                ok++;
                break;
                }
            }
        }
        string ans = (ok!=2)?"DA":"NE";
        cout << ans << '\n';
    }
    return 0;
}